#include "xmodelpiece.h"

XModelPiece::XModelPiece()
    : XAsset()
    , mModel()
    , mOffset()
{
    
}

XModelPiece::~XModelPiece()
{

}

void XModelPiece::ParseData(QDataStream *aStream)
{
    mModel.ParsePtr(aStream, false);

    *aStream
        >> mOffset[0]
        >> mOffset[1]
        >> mOffset[2];

    mModel.ParseData(aStream);
}

void XModelPiece::Clear()
{
    mModel.Clear();
    mOffset = QVector3D();
}
